<?php
/**
 * Theme functions and definitions
 *
 * @package business_corporate_gravity
 */

if ( ! function_exists( 'business_corporate_gravity_enqueue_styles' ) ) :
	/**
	 * @since Business Corporate Gravity 1.0.0
	 */
	function business_corporate_gravity_enqueue_styles() {
		wp_enqueue_style( 'business-corporate-gravity-style-parent', get_template_directory_uri() . '/style.css' );
		wp_enqueue_style( 'business-corporate-gravity-style', get_stylesheet_directory_uri() . '/style.css', array( 'business-corporate-gravity-style-parent' ), '1.0.0' );
		wp_enqueue_style( 'business-corporate-gravity-google-fonts', 'https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300&display=swap', false );
	}
endif;
add_action( 'wp_enqueue_scripts', 'business_corporate_gravity_enqueue_styles', 99 );

function business_corporate_gravity_customize_register() {
	global $wp_customize;
	$wp_customize->remove_section( 'blog_options' );
} 
add_action( 'customize_register', 'business_corporate_gravity_customize_register', 11 );


function business_corporate_gravity_setup() {
	remove_theme_support( 'custom-background' );
}
add_action( 'after_setup_theme', 'business_corporate_gravity_setup', 99 );